#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const minimist_1 = __importDefault(require("minimist"));
const index_1 = require("./index");
const logger_1 = __importDefault(require("./utils/logger"));
console.log("\x1b[35m%s\x1b[0m", "\n========== Very-Express-Vue CLI (vex-v) Start ==========\n");
const args = (0, minimist_1.default)(process.argv.slice(2));
if (String(args._[0]).toLowerCase() === "h" || args["h"]) {
    console.log(`Very Express Vue CLI Usage :
vex-v [flag]
    -h : Help
to generate app :
    vex-v [jsonSchemaDir] [outputDir]
    -j : jsonSchemaDir
    -o : outputDir
`);
    process.exit(0);
}
else {
    if (!fs_1.default.existsSync(args.j)) {
        logger_1.default.error("Schema Dir Not Found:", args.j);
        process.exit(1);
    }
    (0, index_1.generate)(args.j, args.o);
}
console.log("\x1b[35m%s\x1b[0m", "\n========== Very-Express-Vue CLI (vex-v) Complete ==========\n");
