"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = generate;
const vuelidate_jsonSchema_1 = __importDefault(require("./generators/vuelidate_jsonSchema"));
const ionicForm_1 = __importDefault(require("./generators/ionicForm"));
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
function generate(jsonSchemaDir, outputDir) {
    const outVexlidate = path_1.default.join(outputDir, 'vexlidate');
    const outComponents = path_1.default.join(outputDir, 'components');
    const outVexForm = path_1.default.join(outComponents, 'vexForm');
    if (!fs_1.default.existsSync(outputDir)) {
        fs_1.default.mkdirSync(outputDir);
    }
    ;
    if (!fs_1.default.existsSync(outVexlidate)) {
        fs_1.default.mkdirSync(outVexlidate);
    }
    ;
    if (!fs_1.default.existsSync(outComponents)) {
        fs_1.default.mkdirSync(outComponents);
    }
    ;
    if (!fs_1.default.existsSync(outVexForm)) {
        fs_1.default.mkdirSync(outVexForm);
    }
    ;
    vuelidate_jsonSchema_1.default.makeFile(outVexlidate);
    fs_1.default.readdirSync(jsonSchemaDir).forEach((file) => {
        if (!file.endsWith(".json")) {
            return;
        }
        ;
        const srcFile = jsonSchemaDir + '/' + file;
        const outVexlidateFile = `${outVexlidate}/${file.replace('.json', '.gen.ts')}`;
        const outVexFormFile = `${outVexForm}/${file.replace('.json', '.gen.vue')}`;
        const jsonSchema = JSON.parse(fs_1.default.readFileSync(srcFile, "utf8"));
        vuelidate_jsonSchema_1.default.generate(jsonSchema, outVexlidateFile);
        ionicForm_1.default.generate(jsonSchema, outVexFormFile);
    });
}
